""" Unit tests for mapped interfaces.

$Id: test_interfaces.py 10227 2005-04-01 16:51:45Z regebro $
"""

import unittest

from zope.interface.interface import Interface as Z3_Interface

class MappedInterfaceTests(unittest.TestCase):

    def test_ICachingPolicyManager(self):

        from Products.CMFonFive.interfaces import ICachingPolicyManager

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(ICachingPolicyManager))

    def test_IContentTypeRegistry(self):

        from Products.CMFonFive.interfaces import IContentTypeRegistry

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IContentTypeRegistry))

    def test_IContentTypeRegistryPredicate(self):

        from Products.CMFonFive.interfaces import IContentTypeRegistryPredicate

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IContentTypeRegistryPredicate))

    def test_IDublinCore(self):

        from Products.CMFonFive.interfaces import IDublinCore

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IDublinCore))

    def test_ICatalogableDublinCore(self):

        from Products.CMFonFive.interfaces import ICatalogableDublinCore

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(ICatalogableDublinCore))

    def test_IMutableDublinCore(self):

        from Products.CMFonFive.interfaces import IMutableDublinCore

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IMutableDublinCore))

    def test_IContentish(self):

        from Products.CMFonFive.interfaces import IContentish

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IContentish))

    def test_IDiscussable(self):

        from Products.CMFonFive.interfaces import IDiscussable

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IDiscussable))

    def test_IDiscussionResponse(self):

        from Products.CMFonFive.interfaces import IDiscussionResponse

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IDiscussionResponse))

    def test_IDynamicType(self):

        from Products.CMFonFive.interfaces import IDynamicType

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IDynamicType))

    def test_ISyndicatable(self):

        from Products.CMFonFive.interfaces import ISyndicatable

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(ISyndicatable))

    def test_IPortalActionsTool(self):

        from Products.CMFonFive.interfaces import IPortalActionsTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalActionsTool))

    def test_IActionProvider(self):

        from Products.CMFonFive.interfaces import IActionProvider

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IActionProvider))

    def test_IPortalCatalogTool(self):

        from Products.CMFonFive.interfaces import IPortalCatalogTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalCatalogTool))

    def test_IIndexableObjectWrapper(self):

        from Products.CMFonFive.interfaces import IIndexableObjectWrapper

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IIndexableObjectWrapper))

    def test_IPortalDiscussionTool(self):

        from Products.CMFonFive.interfaces import IPortalDiscussionTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalDiscussionTool))

    def test_IPortalMemberDataTool(self):

        from Products.CMFonFive.interfaces import IPortalMemberDataTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalMemberDataTool))

    def test_IMemberData(self):

        from Products.CMFonFive.interfaces import IMemberData

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IMemberData))

    def test_ICorePortalMembershipTool(self):

        from Products.CMFonFive.interfaces import ICorePortalMembershipTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(ICorePortalMembershipTool))

    def test_IPortalMetadataTool(self):

        from Products.CMFonFive.interfaces import IPortalMetadataTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalMetadataTool))

    def test_IPortalPropertiesTool(self):

        from Products.CMFonFive.interfaces import IPortalPropertiesTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalPropertiesTool))

    def test_IPortalRegistrationTool(self):

        from Products.CMFonFive.interfaces import IPortalRegistrationTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalRegistrationTool))

    def test_IPortalSkinsTool(self):

        from Products.CMFonFive.interfaces import IPortalSkinsTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalSkinsTool))

    def test_IPortalTypesTool(self):

        from Products.CMFonFive.interfaces import IPortalTypesTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalTypesTool))

    def test_IContentTypeInformation(self):

        from Products.CMFonFive.interfaces import IContentTypeInformation

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IContentTypeInformation))

    def test_IPortalUndoTool(self):

        from Products.CMFonFive.interfaces import IPortalUndoTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalUndoTool))

    def test_IPortalURLTool(self):

        from Products.CMFonFive.interfaces import IPortalURLTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalURLTool))

    def test_IPortalWorkflowTool(self):

        from Products.CMFonFive.interfaces import IPortalWorkflowTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IPortalWorkflowTool))

    def test_IWorkflowDefinition(self):

        from Products.CMFonFive.interfaces import IWorkflowDefinition

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IWorkflowDefinition))

    def test_IDefaultPortalMembershipTool(self):

        from Products.CMFonFive.interfaces import IDefaultPortalMembershipTool

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IDefaultPortalMembershipTool))

    def test_IDocument(self):

        from Products.CMFonFive.interfaces import IDocument

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IDocument))

    def test_IMutableDocument(self):

        from Products.CMFonFive.interfaces import IMutableDocument

        self.failUnless(
            Z3_Interface.isEqualOrExtendedBy(IMutableDocument))

def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(MappedInterfaceTests))
    return suite


if __name__ == '__main__':
    unittest.main()
