# -*- coding: ISO-8859-15 -*-
# (C) Copyright 2005 Nuxeo SARL <http://nuxeo.com>
# Author: Lennart Regebro <regebro@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: __init__.py 28069 2005-10-07 15:03:58Z lregebro $

from Products.CMFCore.utils import ContentInit, ToolInit
# Please let this backwards compatibility stay until CPS 3.4.0
from Products.CMFCore.CMFCorePermissions import AddPortalContent

import calendartool, calendar

def initialize(context):

    ToolInit(
        meta_type='CPS Shared Calendar Tools',
        tools = (calendartool.CalendarTool, calendartool.CpsCalendarTool,),
        product_name='CPSSharedCalendar',
        icon = 'tool.png',
        ).initialize(context)

    ContentInit('CPS Shared Calendar Types',
                content_types = (calendar.CpsCalendar,),
                permission = AddPortalContent,
                extra_constructors = (calendar.manage_addCpsCalendar,),
                fti = (calendar.factory_type_information,),
                ).initialize(context)
