# -*- coding: ISO-8859-15 -*-
# (C) Copyright 2005 Nuxeo SARL <http://nuxeo.com>
# Author: Lennart Regebro <regebro@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: calendartest.py 26275 2005-08-31 13:15:19Z lregebro $

from Testing.ZopeTestCase import ZopeTestCase, user_name
from Products.CPSDefault.tests.CPSDefaultTestCase import CPSDefaultTestCase
from Products.CPSInstaller.CPSInstaller import CPSInstaller

manager_id = 'manager'
user_id = user_name

class CalendarTest(CPSDefaultTestCase):
    
    def afterSetUp(self):
        self.login(manager_id)
        installer = CPSInstaller(self.portal, 'CPSSharedCalendar')
        installer.runExternalUpdater('cpssharedcalendar_installer', '', 
                                     'CPSSharedCalendar', 'install', 'install')

        # Set up the home folders and calendars
        # Delete the old ones:
        for id in self.portal.workspaces.members.objectIds():
            if id[0] != '.':
                self.portal.workspaces.members._delObject(id)
        # The login'in as manager and create them
        mtool = self.portal.portal_membership
        mtool.createMemberArea(manager_id)
        mtool.createMemberArea(user_name)
        
        