# -*- coding: ISO-8859-15 -*-
# (C) Copyright 2005 Nuxeo SARL <http://nuxeo.com>
# Author: Lennart Regebro <regebro@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: test_attendeesource.py 26275 2005-08-31 13:15:19Z lregebro $

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

import unittest
from datetime import datetime, timedelta

from Products.CPSSharedCalendar.calendar import CpsCalendar
from calendartest import CalendarTest

from calcore import cal

manager_id = 'CPSTestCase'

class testAttendeSource(CalendarTest):
        
    def testRegisterAndLookup(self):
        # Create a calendar
        calendar = CpsCalendar('calendar', title='calendar')
        self.portal.workspaces._setObject('calendar', calendar)
        
        # This calendar should now have created an attendee:
        asrc = self.portal.portal_calendar.attendee_source
        # This raises an error if not found, so an assert is not needed:
        attendee = asrc.getAttendee('CALENDAR!/portal/workspaces/calendar')
        attendees = asrc.findByName('calendar')
        self.failUnlessEqual(len(attendees), 1, 
                             'One and only one attendee was expected')
        # Now, delete the calendar, and the attendee should be marked as gone:
        self.portal.workspaces._delObject('calendar')
        attendee = asrc.getAttendee('CALENDAR!/portal/workspaces/calendar')
        self.failUnless(attendee.getAttendeeType(), 'UNKNOWN')

def test_suite():
    return unittest.TestSuite((
        unittest.makeSuite(testAttendeSource),
        ))

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')    
